'use strict';

let galleryQuery = require('../../query/gallery');
const R = require('ramda');

module.exports =  (db, articleGalleries) => {
    if(R.isNil(articleGalleries) || R.isEmpty(articleGalleries)) return Promise.resolve([]);
    const ids = R.map(R.path(['dataValues', 'gallery_id']), articleGalleries);
    const query = galleryQuery(db, {
        in: ids
    });
    const meta = R.objOf("type", "gallery");
    return db.gallery.findAll(query).then(arr => R.map(R.pair(meta), arr));
};