'use strict';

const R = require('ramda');
let htmlQuery = require('../../query/html');

module.exports =  (db, articleHtmls) => {
    if(R.isNil(articleHtmls) || R.isEmpty(articleHtmls)) return Promise.resolve([]);
    const ids = R.map(R.path(['dataValues', 'html_id']), articleHtmls);
    const query = htmlQuery(db, {
        in: ids
    });
    const meta = R.objOf("type", "html");
    return db.html.findAll(query).then(arr => R.map(R.pair(meta), arr));
};