'use strict';

const R = require('ramda');
let imageQuery = require('../../query/image');

module.exports =  (db, articleImages) => {
    if(R.isNil(articleImages) || R.isEmpty(articleImages)) return Promise.resolve([]);
    const ids = R.map(R.path(['dataValues', 'image_id']), articleImages);
    const query = imageQuery(db, {
        in: ids
    });
    const meta = R.objOf("type", "image");
    return db.image.findAll(query).then(arr => R.map(R.pair(meta), arr));
};