'use strict';
const sectionQuery = require('./section');
const videoQuery = require('./video');

module.exports = (db, id) => {
    return {
        where: {
            id: id
        },
        order: [[
            {
                model: db.article_content
            },
            'order_index',
            'ASC'
        ]],
        include: [
            sectionQuery(db),
            {
                model: db.article_content,
                include: [
                    {
                        model: db.content_item,
                        include: [
                            {
                                model: db.video,
                                include: [
                                    sectionQuery(db)
                                ]
                            },
                            db.quiz,
                            db.tweet,
                            db.instagram
                        ]
                    }
                ]
            },
            {
                model: db.article_relation,
                required: false,
                where: {
                    relation_type: ['picturerel', 'videorel', 'teaserrel'],
                    order_index: 0
                },
                include: [
                    {
                        model: db.content_item,
                        include: [videoQuery(db)]
                    }
                ]
            },
            db.article_author
        ]
    };
};
