'use strict';

const assert = require('chai').assert;
const createQuery = require('../../query/article');

describe('article', () => {

    describe('createQuery()', () => {
        it('creates the json query', () => {
            const db = {
                article_tag: 'article_tag',
                section: 'section',
                article_content: 'article_content',
                content_item: 'content_item',
                video: 'video',
                image: 'image',
                gallery: 'gallery',
                gallery_content: 'gallery_content',
                html: 'html',
                article_relation: 'article_relation',
                article_author: 'article_author'
            };

            const expected = createQuery(db, 'nationals.1234567');
            assert.equal(expected.where.id, 'nationals.1234567');
            assert.equal(expected.include[0].model, 'section');
            assert.equal(expected.include[1].model, 'article_content');
            assert.equal(expected.include[1].include[0].model, 'content_item');
            assert.equal(expected.include[1].include[0].include[0].model, 'video');
            assert.equal(expected.include[1].include[0].include[0].include[0].model, 'section');
            assert.equal(expected.include[2].model, 'article_relation');
            assert.equal(expected.include[2].where.relation_type[0], 'picturerel');
            assert.equal(expected.include[2].where.relation_type[1], 'videorel');
            assert.equal(expected.include[3], 'article_author');
        });
    });

});