'use strict';

const assert = require('chai').assert;
const expect = require('chai').expect;
const faker = require('../../faker');
const authorEnpoint = require('../../../toJSON/authorEndpoint');


describe('AuthorEnpoint Unit Test: ', () => {
    // mocking the response from get authors
    // in faker.author_get_response

    it('should return the expected JSON structure, given a valid input', done => {
        const actual = authorEnpoint( faker.author_get_response );

        expect(actual).to.be.an('object');
        expect(actual).to.have.property('data');
        expect(actual.data).to.have.property('attributes');

        const data = actual.data;
        const attr = data.attributes;

        assert.strictEqual(data.type, 'author');
        assert.strictEqual(data.id, 58);
        assert.strictEqual(attr.name, faker.author_get_response.name);

        done();
        
    });

});