'use strict';

const assert = require('chai').assert;
const faker = require('../../faker');
const rewire = require('rewire');
const createQuiz = rewire('../../../toJSON/quiz');

describe('Quiz JSON', function () {

    it('should build a meta data object', function () {
        const actual = createQuiz([{}, faker.quiz]);
        const meta = actual[0];
        assert.equal(meta.type, 'quiz');
        assert.equal(meta.lastModifiedDate, faker.quiz.last_modified_date);
        assert.equal(meta.id, faker.quiz.id);
        assert.isTrue(meta.webview);
    });

    it('basic quiz', () => {
        const actual = createQuiz([{}, faker.quiz]);
        const meta = actual[0];
        const json = actual[1];

        assert.isTrue(meta.webview);
        assert.equal(meta.type, "quiz");
        assert.equal(meta.id, "nationals.3425");

        assert.equal(json.data.type, "quiz");
        assert.equal(json.data.id, 3425);
        assert.equal(json.data.attributes.title, "Quiz Title");
    });
});