'use strict';

const R = require('ramda');
let createArticle = require('./article');
let createGallery = require('./gallery');
let createImage = require('./image');
let createHtml = require('./html');
let createTag = require('./tag');
let createAuthor = require('./author');

module.exports = R.curry((config, tuple) => {
    const meta = R.head(tuple);
    switch(meta.type) {
        case 'news':
        case 'opinion':
        case 'live-event':
            return createArticle(config, tuple);
        case 'image':
            return createImage(config.imageDimensions, tuple);
        case 'gallery':
            return createGallery(config.imageDimensions, tuple);
        case 'html':
            return createHtml(tuple);
        case 'tag':
            return createTag(tuple);
        case 'author':
            return createAuthor(tuple);
    }
});